## net.i2p.router.networkdb.kademlia
Class FloodOnlyLookupMatchJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.FloodOnlyLookupMatchJob

All Implemented Interfaces:
  Job, ReplyJob

     class FloodOnlyLookupMatchJob

extends JobImpl
implements ReplyJob

Constructor Summary
`FloodOnlyLookupMatchJob(RouterContext ctx, FloodOnlySearchJob job)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.
`void` `setMessage(I2NPMessage message)`

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.i2p.router.Job
`dropped, getAddedBy, getJobId, getTiming`

Constructor Detail

### FloodOnlyLookupMatchJob

    public FloodOnlyLookupMatchJob(RouterContext ctx,
                                   FloodOnlySearchJob job)

Method Detail

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

  Specified by:
    `runJob` in interface `Job`

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

  Specified by:
    `getName` in interface `Job`

### setMessage

    public void setMessage(I2NPMessage message)

  Specified by:
    `setMessage` in interface `ReplyJob`